#
# spec file for package dhcp (Version 3.0.6)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs cyrus-sasl cyrus-sasl-devel diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libopenssl-devel libopenssl0_9_8 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openldap2-client openldap2-devel openssl-certs pam pam-modules patch perl perl-base permissions popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux zlib zlib-devel


Name:           dhcp
%define susefw2dir %{_sysconfdir}/sysconfig/SuSEfirewall2.d/services
%define omc_prefix /usr/share/omc
%define omc_svcdir %{omc_prefix}/svcinfo.d
%define with_casa 0
%if %{?with_casa:%with_casa}
BuildRequires:  CASA-devel
%endif
BuildRequires:  openldap2-devel
License:        BSD 3-Clause
Group:          Productivity/Networking/Boot/Servers
AutoReqProv:    on
Version:        3.0.6
Release:        24.4
Summary:        Common Files Used by ISC DHCP Software
Url:            http://www.isc.org/isc/dhcp.html
Source0:        http://ftp.isc.org/isc/dhcp/dhcp-%{version}.tar.gz
Source1:        http://ftp.isc.org/isc/dhcp/dhcp-%{version}.tar.gz.asc
Source2:        rc.dhcpd
Source3:        rc.dhcrelay
Source11:       sysconfig.dhcpd
Source12:       sysconfig.syslog-dhcpd
Source14:       sysconfig.dhcrelay
Source15:       dhcp.README
Source16:       dhcp.LIESMICH
Source17:       examples.tar.gz
Source18:       dhcp.README.upgrade
Source19:       dhcpsync
Source20:       dhcpsync.8
Source21:       DDNS-howto.txt
Source30:       http://www.andrew.cmu.edu/~kevinm/dhcp/leasestate
Source31:       http://www.andrew.cmu.edu/~kevinm/dhcp/listlease
Source32:       http://www.andrew.cmu.edu/~kevinm/dhcp/clearip
Source33:       http://www.andrew.cmu.edu/~kevinm/dhcp/reset-ip
Source40:       http://www3.baylor.edu/~Jeff_Wilson/GiveAway/leases.awk
Source41:       http://www.suse.de/~poeml/dnscompr.py
Source42:       dhcpd.xml
Source43:       SuSEfirewall2.dhcp-server
## adjust some paths
Patch:          dhcp-3.0rc10.dif
## chroot patch by Ari Edelkind (see readme)
## and patch supplied by <thomas@suse.de> 
Patch1:         dhcp-3.0b2pl18.paranoia.dif
## add missing include
Patch2:         test.c.dif
## improve resolv.conf handling:
Patch31:        dhcp-3.0b2pl24.resolv.conf.dif
Patch32:        dhclient.c.dif
## duplicate stdin, stdout and stderr for dhclient childs
Patch40:        dhcp-3.0.6-dhclient-exec-filedes.dif
## other stuff
Patch41:        makefile.diff
Patch51:        dhcp-3.0.5-tmpfile.dif
Patch52:        dhcp-3.0.3-man.dif
Patch53:        dhcp-3.0.5-pool_eof.dif
## LDAP support for DHCP server
## patch lives here: http://home.ntelos.net/~masneyb/
%define DHCPD_LDAP 1
%if %DHCPD_LDAP
Patch60:        dhcp-3.0.5-ldap-patch.gz
Patch61:        dhcp-3.0.5-ldap-patch_object-order.dif
Patch62:        dhcp-3.0.5-ldap-patch_server_dn.dif
Patch63:        dhcp-3.0.5-ldap-patch_host_brace.dif
%endif
%if %{?suse_version:%suse_version}%{?!suse_version:99999} > 930
Patch70:        dhcp-3.0.3b1-pie.dif
%endif
# Add support for dhcdbd
Patch80:        dhcp-3.0.2-extended_option_environment.patch
Patch81:        dhcp-3.0.3-dhclient-script-dhcdbd.patch
Patch82:        dhcp-3.0.6-dhclient-script-default-gw.patch
Patch83:        dhcp-send-hostname-rml.patch
Patch84:        dhcp-3.0.6-dhclient-conf-requests.patch
Patch85:        dhcp-3.0.6-dhclient-conf-no-script.patch
Patch86:        dhcp-3.0.6-dhclient-conf-requires.patch
Patch90:        dhcp-3.0.6-CVE-2007-0062_bnc415346-DoS.patch
Patch91:        dhcp-3.0.6-dhclient-use-script-cmdline.patch
Patch92:        dhcp-3.0.6-dhclient-script-skip-ifconfig-down.patch
Patch93:        dhcp-3.0.6-dhclient-script-sysconfig-policy.patch
Patch94:        dhcp-3.0.7-CVE-2009-0692.bnc515599.patch
Obsoletes:      dhcp-base
Provides:       dhcp-base:/usr/bin/omshell
PreReq:         /bin/touch /sbin/chkconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%debug_package

%package server
License:        BSD 3-Clause
Summary:        ISC DHCP Server
Group:          Productivity/Networking/Boot/Servers
Requires:       net-tools dhcp
PreReq:         %insserv_prereq %fillup_prereq /bin/cat /bin/mkdir /bin/cp /usr/sbin/useradd
Provides:       dhcp_server dhcp:/usr/sbin/dhcpd
AutoReqProv:    on

%package client
License:        BSD 3-Clause
Summary:        ISC DHCP Client
Group:          Productivity/Networking/Boot/Clients
Requires:       net-tools dhcp /usr/bin/host
PreReq:         %insserv_prereq %fillup_prereq /bin/cat /bin/mkdir /bin/cp 
Provides:       dhcp_client dhclient
Obsoletes:      dhclient
AutoReqProv:    on

%package relay
License:        BSD 3-Clause
Summary:        DHCP Relay Agent
Group:          Productivity/Networking/Boot/Servers
Requires:       net-tools dhcp
PreReq:         %insserv_prereq %fillup_prereq /bin/cat /bin/mkdir /bin/cp 
Provides:       dhcp_relay dhcrelay
Obsoletes:      dhcrelay
AutoReqProv:    on

%package devel
License:        BSD 3-Clause
Summary:        Header Files and Libraries for dhcpctl API
Group:          Development/Libraries/C and C++
Requires:       dhcp = %{version}
%if %ul_version >= 1
%define VENDOR UnitedLinux
%else
%define VENDOR SuSE
%endif

%description
This package contains common files used by both the ISC DHCP server
("dhcp-server" package) and client ("dhcp-client").



Authors:
--------
    Ted Lemon <mellon@fugue.com>

%description server
This package contains the ISC DHCP server.

Please read the documentation in /usr/share/doc/packages/dhcp-server
regarding configuration of the DHCP server.



Authors:
--------
    Ted Lemon <mellon@fugue.com>
    
    This package also contains software written by Kevin C. Miller <kevinm@andrew.cmu.edu> 
    and Jeff Wilson <wilsonj@cs.ecs.baylor.edu>.

%description client
This is an alternative DHCP client, the ISC DHCP client for Linux. Like
"dhcpcd" (the client that is installed by default), it can be used to
configure the network setup.  IP address, hostname, routing,
nameserver, netmask, and broadcast can be dynamically assigned while
booting the machine.

It is configurable via the configuration file /etc/dhclient.conf and
you can define your own 'hooks' to be used by the /sbin/dhclient-script
(which is called by the daemon).



Authors:
--------
    Ted Lemon <mellon@fugue.com>

%description relay
This is the ISC DHCP relay agent. It can be used as a 'gateway' for
DHCP messages across physical network segments. This is necessary
because requests can be broadcast, and they will normally not be
routed.



%description devel
This package contains all of the libraries and headers for developing
with the Internet Software Consortium (ISC) dhcpctl API.



Authors:
--------
    Ted Lemon <mellon@fugue.com>

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0 -b ".paths"
%patch1 -p0
%patch2
%patch31 -p1
%patch32 -p1
%patch40 
%patch41
%patch51 -p1
%patch52 -p1
%patch53 -p0
%if %DHCPD_LDAP
%patch60 -p1
%patch61 -p0
%patch62 -p0
%patch63 -p0
%endif
%if %{?suse_version:%suse_version}%{?!suse_version:99999} > 930
%patch70
%endif
%patch80 -p1
%patch81 -p1
%patch82 -p1
%patch83 -p1
%patch84 -p1
%patch85 -p1
%patch86 -p1
%patch90 -p1
%patch91 -p0
%patch92 -p0
%patch93 -p0
%patch94 -p0
find . -type f -name \*.cat\* -exec rm -f {} \;
cp -p %{S:2} %{S:3} %{S:11} %{S:12} %{S:14} %{S:32} %{S:33} . 
for i in README LIESMICH; do
sed 's/SuSE/%VENDOR/' $RPM_SOURCE_DIR/dhcp.$i > $i.%VENDOR
done
cp -p $RPM_SOURCE_DIR/dhcp.README.upgrade README.upgrade
cp -p $RPM_SOURCE_DIR/DDNS-howto.txt .
echo "exec /usr/bin/genDDNSkey \"$@\"" > genDDNSKey.sh
tar xzf $RPM_SOURCE_DIR/examples.tar.gz

%build
export CFLAGS
CFLAGS="$RPM_OPT_FLAGS -W -Wall -fno-strict-aliasing -Wno-unused -DEXTENDED_NEW_OPTION_INFO -DLDAP_DEPRECATED -DUSE_SSL -DPARANOIA"
%if %{?with_casa:%with_casa}
  CFLAGS="$CFLAGS -DLDAP_CASA_AUTH"
%endif
%ifarch ia64 sparc64 alpha s390x ppc64 x86_64
  CFLAGS="$CFLAGS -DPTRSIZE_64BIT" 
%endif
%ifarch ppc ppc64 s390x
  # bugs 134590, 171532
  CFLAGS="$CFLAGS -fsigned-char"
%endif
%if %{?suse_version:%suse_version}%{?!suse_version:99999} > 930
%ifarch ia64 sparc64 alpha s390x ppc64 x86_64
  CFLAGS="$CFLAGS -fPIE" 
%else
  CFLAGS="$CFLAGS -fpie" 
%endif
%endif
export DEBUG_FLAGS=$CFLAGS
./configure
# first, build binaries which use bsd sockets instead of lpf
cp includes/site.h includes/site.h.save.lpf
echo "#define USE_SOCKETS" >> includes/site.h
make DEBUG="$DEBUG_FLAGS -W" all
cp -p work.linux-2.2/server/dhcpd work.linux-2.2/server/dhcpd.bsd
make clean
# then, build the normal binaries using lpf
mv includes/site.h.save.lpf includes/site.h
make DEBUG="$DEBUG_FLAGS -W" all 
# with a minimal config, see if it runs
echo "ddns-update-style interim;" > testconf
work.linux-2.2/server/dhcpd -t -cf testconf || exit 1

%install
MANDIR=%{_mandir} DESTDIR=$RPM_BUILD_ROOT LIBDIR=%{_libdir} make install
install -m 744 work.linux-2.2/omapip/svtest $RPM_BUILD_ROOT/usr/sbin/svtest
install -m 644 work.linux-2.2/dst/libdst.a $RPM_BUILD_ROOT/%{_libdir}
# install the saved bsd flavor binary
install -m 755 work.linux-2.2/server/dhcpd.bsd $RPM_BUILD_ROOT/usr/sbin/dhcpd.bsd
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/%{susefw2dir}
mkdir -p $RPM_BUILD_ROOT/%{omc_svcdir}
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT/var/run
# set up chroot jail
mkdir -p $RPM_BUILD_ROOT/var/lib/dhcp/etc
mkdir -p $RPM_BUILD_ROOT/var/lib/dhcp/dev
mkdir -p $RPM_BUILD_ROOT/var/lib/dhcp/%_lib
mkdir -p $RPM_BUILD_ROOT/var/lib/dhcp/var/run
mkdir -p $RPM_BUILD_ROOT/var/lib/dhcp/db
%if %DHCPD_LDAP
mkdir -p $RPM_BUILD_ROOT/etc/openldap/schema
install -m 644 contrib/dhcp.schema $RPM_BUILD_ROOT/etc/openldap/schema/
%endif
install -m 744 rc.dhcpd    $RPM_BUILD_ROOT/etc/init.d/dhcpd
install -m 744 rc.dhcrelay $RPM_BUILD_ROOT/etc/init.d/dhcrelay
ln -sf ../../etc/init.d/dhcpd    $RPM_BUILD_ROOT/usr/sbin/rcdhcpd
ln -sf ../../etc/init.d/dhcrelay $RPM_BUILD_ROOT/usr/sbin/rcdhcrelay
install -m 755 $RPM_SOURCE_DIR/dhcpsync   $RPM_BUILD_ROOT/usr/sbin/
install -m 644 $RPM_SOURCE_DIR/dhcpsync.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
install -m 755 $RPM_SOURCE_DIR/leasestate $RPM_BUILD_ROOT/usr/sbin/
install -m 755 $RPM_SOURCE_DIR/listlease  $RPM_BUILD_ROOT/usr/sbin/
install -m 755 $RPM_SOURCE_DIR/leases.awk $RPM_BUILD_ROOT/usr/sbin/
cp -p $RPM_SOURCE_DIR/dnscompr.py .
install -m 644 sysconfig.dhcpd		$RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 644 sysconfig.syslog-dhcpd	$RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 644 sysconfig.dhcrelay	$RPM_BUILD_ROOT/var/adm/fillup-templates/
touch $RPM_BUILD_ROOT/var/lib/dhcp/dhclient.leases
install -m 644 client/dhclient.conf $RPM_BUILD_ROOT/etc/dhclient.conf
sed '/^max-lease-time/ a \
\
# if you do not use dynamical DNS updates:\
#\
# this statement is needed by dhcpd-3 needs at least this statement.\
# you have to delete it for dhcpd-2, because it does not know it.\
#\
# if you want to use dynamical DNS updates, you should first read\
# read /usr/share/doc/packages/dhcp-server/DDNS-howto.txt\
ddns-update-style none; ddns-updates off;\
' server/dhcpd.conf > dhcpd.conf 
install -m644 contrib/3.0b1-lease-convert 3.0b1-lease-convert
find $RPM_BUILD_ROOT/%{_mandir} -type f | xargs chmod 644 
install -m 644 $RPM_SOURCE_DIR/dhcpd.xml $RPM_BUILD_ROOT/%{omc_svcdir}/
install -m 644 $RPM_SOURCE_DIR/SuSEfirewall2.dhcp-server \
               $RPM_BUILD_ROOT/%{susefw2dir}/dhcp-server

%pre
# In the past, the name of the source package was "dhcp" but the subpackage
# with the common files was named "dhcp-base" -- thus, no subpackage had the
# same name as the parent package. This lead to trouble on various ends, like
# the putonftp mechanism, so "dhcp-base" was renamed to "dhcp".
#
# During a YaST system update, the first package to be updated is "dhcp", which
# should --and does-- obsolete the dhcp-base package. 
# However, if RPMv4 is used, there is a peculiarity: RPMv4 automatically
# invents an 'obsolete' when it sees a 'provides'. 
# Since the old dhcp-server package (SLES8) did provide
#        Provides:     dhcp_server dhcp:/usr/sbin/dhcpd dhcp
# RPMv4 removes the dhcp-server package.
# 
# This in itself is not a problem because the package is re-installed later
# (RPMv4 is not that intelligent). However, if the service is destined to be
# started at boot time, the runlevel links will be gone, so the service will
# not be started after the update. To restore the links, there is no better way
# than remember that the service was running before updating the "dhcp" package,
# and restore the links at "dhcp-server" installation time.
if [ ${1:-0} -gt 1 ]; then 	# update
	if sbin/chkconfig -c dhcpd; then
		touch var/adm/dhcpd_needs_insserv
	fi
fi

%pre server
/usr/sbin/useradd -r -g nogroup -s /bin/false -c "DHCP server daemon" -d /var/lib/dhcp dhcpd 2> /dev/null ||:
if [ ! -x usr/sbin/dhcpd.lpf -a \
     ! -d usr/share/doc/packages/dhcp-server/ms2isc ]; then
	# usr/sbin/dhcpd.lpf was added _after_ release of 9.1;
	# usr/share/doc/packages/dhcp-server/ms2isc was added with 9.0;
	# thus, if both are not present we are updating from pre 9.0 AND
	# we are NOT updating a 9.1 released package (that has not been updated before).
	# 9.0 already had a binary compiled with BSD sockets.
	touch etc/dhcpd_updating_from_lpf_style
fi

%post server
%{fillup_and_insserv -n dhcpd dhcpd}
%{fillup_only -ans syslog dhcpd}
if grep -q '^DHCPD_RUN_AS="nobody"' etc/sysconfig/dhcpd; then
	tmpfile=$(mktemp -q etc/sysconfig/dhcpd.XXXXXX)
	sed 's|^DHCPD_RUN_AS="nobody"|DHCPD_RUN_AS="dhcpd"|' etc/sysconfig/dhcpd \
	  > $tmpfile && mv $tmpfile etc/sysconfig/dhcpd
	rm -f $tmpfile
fi
# update?
if [ ${FIRST_ARG:-0} -gt 1 ]; then
	if [ -e etc/dhcpd_updating_from_lpf_style -a -x usr/sbin/dhcpd.lpf ]; then
		if /etc/init.d/dhcpd status &>/dev/null; then
			was_running=true
			/etc/init.d/dhcpd stop
		else
			was_running=false
		fi
		tmpfile=$(mktemp -q etc/sysconfig/dhcpd.XXXXXX)
		sed 's|^DHCPD_BINARY=""|DHCPD_BINARY="/usr/sbin/dhcpd.lpf"|' etc/sysconfig/dhcpd \
		  > $tmpfile && mv $tmpfile etc/sysconfig/dhcpd
		rm -f $tmpfile
		if $was_running; then
			/etc/init.d/dhcpd start
		fi
	fi
	# see comment above
	if [ -f var/adm/dhcpd_needs_insserv ]; then
		sbin/insserv dhcpd
		rm var/adm/dhcpd_needs_insserv
	fi
fi
rm -f etc/dhcpd_updating_from_lpf_style
test -s etc/dhcpd.conf || { cp -p usr/share/doc/packages/dhcp-server/dhcpd.conf etc/; }
exit 0

%postun server
%restart_on_update dhcpd
%insserv_cleanup

%preun server
%stop_on_removal dhcpd

%post relay
%{fillup_and_insserv -n dhcrelay dhcrelay}

%postun relay
%restart_on_update dhcrelay
%insserv_cleanup

%preun relay
%stop_on_removal dhcrelay

%clean
if ! test -f /.buildenv; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc LICENSE README RELNOTES doc 
/usr/bin/omshell
%dir /var/lib/dhcp
%doc %{_mandir}/man1/omshell.1.gz
%doc %{_mandir}/man5/dhcp-eval.5.gz
%{susefw2dir}/dhcp-server

%files server
%defattr(-,root,root)
%doc clearip reset-ip
%doc dnscompr.py
/usr/sbin/dhcpd
/usr/sbin/dhcpd.bsd
/usr/sbin/rcdhcpd
/usr/sbin/svtest
%config /usr/sbin/dhcpsync
%config /usr/sbin/leasestate
%config /usr/sbin/listlease
%config /usr/sbin/leases.awk
%config /etc/init.d/dhcpd
%dir /var/lib/dhcp/var
%dir /var/lib/dhcp/var/run
%attr(755,dhcpd,root) %dir /var/lib/dhcp/db
%dir /var/lib/dhcp/etc
%dir /var/lib/dhcp/dev
%doc %{_mandir}/man5/dhcpd.conf.5.gz
%doc %{_mandir}/man5/dhcp-options.5.gz
%doc %{_mandir}/man5/dhcpd.leases.5.gz
%doc %{_mandir}/man8/dhcpd.8.gz
%doc %{_mandir}/man8/dhcpsync.8.gz
%doc dhcpd.conf LIESMICH.%VENDOR README.%VENDOR README.upgrade 3.0b1-lease-convert DDNS-howto.txt genDDNSKey.sh
%doc examples
%doc contrib/ms2isc
%if %DHCPD_LDAP
%doc contrib/dhcp.schema
%doc contrib/dhcpd-conf-to-ldap.pl
%doc README.ldap doc/draft-ietf-dhc-ldap-schema-01.txt
%dir /etc/openldap/schema
%attr(0644, root, root) %config /etc/openldap/schema/dhcp.schema
%endif
/var/adm/fillup-templates/sysconfig.dhcpd
/var/adm/fillup-templates/sysconfig.syslog-dhcpd
%dir /var/lib/dhcp/%_lib
%dir %{omc_prefix}/
%dir %{omc_svcdir}/
%{omc_svcdir}/dhcpd.xml

%files client 
%defattr(-,root,root)
/sbin/dhclient
/sbin/dhclient-script
%config(noreplace) /etc/dhclient.conf
%config(noreplace) /var/lib/dhcp/dhclient.leases
%doc %{_mandir}/man5/dhclient.conf.5.gz
%doc %{_mandir}/man5/dhclient.leases.5.gz
%doc %{_mandir}/man8/dhclient.8.gz
%doc %{_mandir}/man8/dhclient-script.8.gz

%files relay 
%defattr(-,root,root)
/usr/sbin/dhcrelay
/usr/sbin/rcdhcrelay
%config /etc/init.d/dhcrelay
%doc %{_mandir}/man8/dhcrelay.8.gz
/var/adm/fillup-templates/sysconfig.dhcrelay

%files devel
%defattr(-,root,root)
%_libdir/lib*
%{_prefix}/include/*
%doc %{_mandir}/man3/omshell.3.gz
%doc %{_mandir}/man3/omapi.3.gz
%doc %{_mandir}/man3/dhcpctl.3.gz

%changelog
* Thu Jun 25 2009 - mt@suse.de
- Fixed dhclient stack overflow in script_write_params (VU#410676,
  CVE-2009-0692, bnc#515599).
* Thu Jan 22 2009 - mt@suse.de
- Applied patch extracted from dhcp-3.0.7 fixing a buffer overflow
  error which could have allowed a denial of service under unusual
  server configurations when the dhcp server is configured to send
  many DHCP options to clients (bnc#415346, CVE-2007-0062).
- Addopted dhcp-send-hostname-rml patch
- Added fix to override the script name definition in the config
  file with the one provided vi -sf command line (bnc#402575) and
  disabled script setting in the /etc/dhclient.conf, because it
  overrides the -sf command line option (used by NetworkManager).
- Changed the list of dhcp options required by the dhcp-client in
  the server response to not to enforce the domain-name-servers
  option availiability (bnc#331964).
- Removed down parameter from ifconfig calls in dhclient-script
  because it destroys bonding interfaces (bnc#410905).
- Fixed dhclient-script to make sure, the host name is set as a
  short-name even dhcp provides fqdn (bnc#418168)
- Fixed dhclient-script to apply sysconfig DHCLIENT_SET_HOSTNAME,
  DHCLIENT_SET_DEFAULT_ROUTE and DNS policies and inclusive of
  per interface setings (bnc#426650, bnc#432432).
- Removed ntp runtime configuration feature in dhclient-script,
  because not supported by xntp; fixed on 11.0 only (bnc#375746).
- Fixed the dhclient-script to add explicit host route to default
  gateway when it is not reachable via interface route created by
  ifconfig based on the IP and netmask (e.g. /32) values provided
  by dhcp server (bnc#266215).
- Fixed too long error messages server init script (bnc#353589).
* Fri Aug 24 2007 - mt@suse.de
- Removed getcfg interface config to interface name conversions
* Mon Jul 30 2007 - thoenig@suse.de
- dhcp-3.0.3-dhclient-script-dhcdbd.patch: dbus-send is now located
  in /bin
* Thu Jul 19 2007 - mt@suse.de
- Updated to 3.0.6, a maintenance release containing fixes
  for bugs discovered since DHCP 3.0.5, but no new features.
  See the RELNOTES file for full list of changes.
- Adopted dhcp-3.0rc10.filedes.dif patch
  new patch file name: dhcp-3.0.6-dhclient-exec-filedes.dif
- Bug #289933: Let dhclient request netbios-name-servers as well;
  old patch file name: dhcp-3.0.5-dhclient-nis-ntp.patch
  new patch file name: dhcp-3.0.6-dhclient-requests-conf.patch
- Removed $local_fs from init-scripts, included in $remote_fs.
* Wed Jun 27 2007 - anschneider@suse.de
- Added support for ntpd runtime configuration
  new patch file: dhcp-3.0.6-dhclient-script-ntp-runtime.patch
* Wed Jun 27 2007 - lmuelle@suse.de
- Let dhclient request ntp-servers by default.
* Tue May 22 2007 - mt@suse.de
- Bug 275592: Added ldap and ndsd to the Should-Start/Stop LSB
  init info tags of the dhcp-server init script.
- Bug #241113: Added copying of /etc/openldap/ldap.conf and
  more base libraries into the chroot jail.
* Mon May 14 2007 - mt@suse.de
- Bug #265337: Fix to generate proper "host ... {" block begin
  brace even if no harware address is specified for the host.
  New patch file: dhcp-3.0.5-ldap-patch_host_brace.dif
- Bug #258493: Fix to support new dhcpServerDN reference in
  dhcpService object search filter.
  New patch file: dhcp-3.0.5-ldap-patch_server_dn.dif
- Fixed LSB init info to use LSB 2.0 Should-Start/Should-Stop.
* Thu Mar 15 2007 - mt@suse.de
- Bug #181212: Improved dhcp init-script to copy directories
  specified in the DHCPD_CONF_INCLUDE_FILES sysconfig variable
  into the chroot jail.
* Wed Mar 14 2007 - mt@suse.de
- Bug #247365: Added installation of dhcp-server SuSEfirewall2
  service definition file.
* Tue Mar 13 2007 - mt@suse.de
- Updated to dhcp-3.0.5-ldap-patch.gz, released on 2007-02-23
  fixing a parsing bug in dhcpd-conf-to-ldap.pl script to handle
  correctly quoted string containing spaces.
  Further, it includes our fixes and obsoletes following patches:
  * dhcp-3.0.5-ldap-patch-strncat.dif
  * dhcp-3.0.5-ldap-patch-casa-fix.dif
  * dhcp-3.0.5-ldap-patch-dhcp-cn.dif
  * dhcp-3.0.5-ldap-patch-schema.dif
  * dhcp-3.0.5-ldap-patch-nomd5.dif
  * dhcp-3.0.5-ldap-patch-referrals.dif
  * dhcp-3.0.5-ldap-patch-ssl-opts.dif
  * dhcp-3.0.5-ldap-patch-ldap_read.dif
- Bug #250153: Fix for object order related parse error, that
  occured in case an dhcp-ldap object referencing a dhcp-tsigkey,
  class or failoverpeer object was parsed before the declaration
  of the referenced objects, because of the order in ldap result.
  New patch file: dhcp-3.0.5-ldap-patch_object-order.dif
* Tue Feb 20 2007 - mt@suse.de
- Bug #162186: Added check for EOF in parse_pool_statement to
  avoid endless recursion loop between parse_pool_statement
  and parse_statement when a closing right brace "}" is missed
  at the end of a pool declaration in /etc/dhcpd.conf.
  New patch file: dhcp-3.0.5-pool_eof.dif
- Fixed ldap_read_function to avoid returning of empty strings
  causing parsing errors in ldap-dynamic mode.
  New patch file: dhcp-3.0.5-ldap-patch-ldap_read.dif
* Thu Jan 25 2007 - mt@suse.de
- Updated to dhcp-3.0.5-ldap-patch.gz, providing several fixes:
  * unbind from the LDAP server after the config file has been ran
  if the server is being ran in static mode
  * fixed ldap_read_function bug where the entire configuration
  was not being processed
  and extensions / enhancements:
  * added functions for reading config values from the config
  file to clean up the ldap_start() function.
  * new ldap-server-cn option that will be used to locate the
  data in ldap; defaults to the hostname as before (FATE #227).
  * while host is added in the ldap-method dynamic mode, try to
  find if it belongs to a group and apply the group options too.
  * modifies the dhcpHWAddress attribute to case-insensitive, adds
  several new objectclasses, e.g. dhcpLocator, dhcpTsigKey,
  dhcpDnsZone,dhcpFailOver to the dhcp.schema.
  * implements support for dhcpTsigKey, dhcpDnsZone and related.
  * implements auth password query via casa.
- Adopted ldap-patch-strncat, removed ldap-patch-nossl obsoleted by
  ldap-patch-nomd5. New patch: dhcp-3.0.5-ldap-patch-strncat.dif
- Added dhcp-3.0.5-ldap-patch-nomd5.dif linking the dhcp-server
  with md5 functions from openssl library instead of own copy.
- Added dhcp-3.0.5-ldap-patch-casa-fix.dif, fixing casa support
- Added dhcp-3.0.5-ldap-patch-dhcp-cn.dif, renaming the dhcpd.conf
  ldap-server-cn option to more clear ldap-dhcp-server-cn.
- dhcp-3.0.5-ldap-patch-schema.dif
- Added dhcp-3.0.5-ldap-patch-referrals.dif, implementing support
  for LDAP referrals, introducing new "ldap-referrals <on|off>"
  option in dhcpd.conf.
- Added dhcp-3.0.5-ldap-patch-ssl-opts.dif enabling/implementing
  TLS/LDAPS support. Adds new "ldap-ssl <on|off|ldaps|start_tls>"
  and several "ldap-tls-*" options for dhcpd.conf. By default, the
  server trys to use TLS if possible, but continues without if not.
* Tue Jan 09 2007 - mt@suse.de
- Added installation of dhcpd.xml, dhcpd service description
  for omc xml-service-provider, fate #301710.
- fix of the ldap-patch strncat fix, bug #202648
* Wed Nov 08 2006 - mt@suse.de
- fix for strncat usage in ldap-patch, bug #202648
* Tue Nov 07 2006 - mt@suse.de
- updated to 3.0.5, bug #212310:
  * This release is a maintenance release that seeks to correct bugs
  introduced in 3.0.4 or prior. The most important of these bugs
  is for 64-bit time_t systems that was introduced in 3.0.4.
  * If you are upgrading from ISC DHCP 3.0.3 or prior and are using
  failover, please take special care of the 'atsfp' values now
  included on failover-controlled leases. See the RELNOTES file.
- adopted dhcp-3.0.4-tmpfile.dif (now dhcp-3.0.5-tmpfile.dif)
- added to provide gpg signature of the tar archive as rpm-source
* Tue Oct 17 2006 - poeml@suse.de
- there is no SuSEconfig.syslog script anymore, thus remove the
  YaST hint from the sysconfig template
* Fri Jun 09 2006 - poeml@suse.de
- upstream 3.0.4:
  * fix an insidious bug in the failover implementation which, if
  left unchecked, could result in tying up all leases in
  transitional states (such as released, reset, or expired)
  * fix a confusing (wrong) syslog line, logged by during DDNS update
  * The server now tries harder to survive the condition where it is
  unable to open a new lease file to rewrite the lease state
  database.
  * several other small bug fixes
- update ldap patch. It now supports ldap over ssl, but we don't
  enable it and add dhcp-3.0.4-ldap-patch-nossl.dif, because at the
  moment there seems to be a choice between linking dhclient
  against ldap+ssl libs (not in /lib) or risking clash between
  openssl and isc's md5 symbols. (At least, I assume that this is
  the reason why the ldap patch now removes the isc implementation
  from the build.) Thus, I readd the patch which added ldap libs to
  LIBS in the server subdir only, via ./configure
- if /etc/sysconfig/dhcpd:DHCPD_INTERFACE is set to "ANY", dhcpd
  will now autodetect available network interfaces
* Fri Jun 02 2006 - poeml@suse.de
- allow for build on SUSE Linux 9.3 and older (no -fpie)
- clean up all CFLAGS/DEBUG_FLAGS definitions
* Tue May 16 2006 - poeml@suse.de
- add s390x to the list of platforms to compile with -fsigned-char
  to avoid the dhclient.conf parse error "expecting a statement"
  [#171532], [#134590]
* Thu May 04 2006 - rml@suse.de
- Add "-H" flag for setting hostname (Novell major bug #139532)
* Wed Mar 29 2006 - poeml@suse.de
- fix two further include paths in dhcpctl.3 and omapi.3
* Wed Mar 29 2006 - poeml@suse.de
- package the static libdst.a library [#158271]
- fix the include path in dhcpctl.3 and omapi.3 [#158271]
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 - poeml@suse.de
- dereference links when copying stuff into the chroot jail [#145169]
* Mon Jan 23 2006 - thoenig@suse.de
- dropped dhcp-3.0.3-dhclient-nm_active-01-thoenig.patch.  Correct
  solution is being implemented in NetworkManager
* Sat Jan 14 2006 - thoenig@suse.de
- replaced 'nis-domain-servers' by 'nis-servers' in
  dhcp-3.0.3-dhclient-nis-01-thoenig.patch (follow-up #134160)
* Fri Jan 13 2006 - thoenig@suse.de
- add 'nis-domain' and 'nis-domain-servers' to 'request'
  dhclient.conf (dhcp-3.0.3-dhclient-nis-01-thoenig.patch).  If
  the DHCP reply contains information about NIS, NM will set those.
  (#134160)
- extended /sbin/dhclient-script to set domain name and host name.
  This will only happen if the relevant options in
  /etc/sysconfig/network/dhcp are set.
  (dhcp-3.0.3-dhclient-nm_active-01-thoenig.patch) (#134160)
* Mon Nov 28 2005 - poeml@suse.de
- compile with -fsigned-char on ppc/ppc64, avoiding the
  dhclient.conf parse error "expecting a statement" [#134590]
* Mon Sep 26 2005 - ro@suse.de
- define LDAP_DEPRECATED in CFLAGS
* Wed Aug 03 2005 - poeml@suse.de
- update to 3.0.3
  * A bug was fixed in BOOTPREQUEST handling code wherein stale
  references to host records would be left behind on leases that
  were not allocated to the client currently booting (eg in the
  case where the host was denied booting).
  * The dhcpd.conf.5 manpage was updated to be more clear in
  regards to multiple host declarations (thanks to Vincent
  McIntyre).  'Interim' style dynamic updates were also
  retouched.
  * dhclient.conf documentation for interface {} was updated to
  reflect recent discussion on the dhcp-hackers mailing list.
- update ldap patch, patches merged upstream
- compile with LPF instead of bsd sockets. Provide optional binary
  compiled with bsd sockets.
- README: describe how to serve option 119 (searchlist), add dns
  compression tool
* Tue Jul 12 2005 - hare@suse.de
- build with pie/PIE depending on architecture.
* Thu Jun 30 2005 - gekker@suse.de
- Add -DEXTENDED_NEW_OPTION_INFO to CFLAGS for rml
* Tue Jun 28 2005 - gekker@suse.de
- Add support for dhcdbd, patches from RH via rml
* Mon Jun 20 2005 - ro@suse.de
- build with pie/fpie
* Mon Jun 13 2005 - kukuk@suse.de
- Don't use kernel types in user space
* Fri Apr 08 2005 - poeml@suse.de
- update to 3.0.3b1 release. Changes since 3.0.2:
  * A bug was fixed where a server might load balance a DHCP REQUEST to its
  peer after already choosing not to load balance the preceeding DISCOVER.
  The peer cannot allocate the originating server's lease.
  * In the case where a secondary server lost its stable storage while the
  primary was still in communications-interrupted, and came back online,
  the lease databases would not be fully transferred to the secondary.
  This was due to the secondary errantly sending an extra UPDREQ message
  when the primary made its state transition to PARTNER-DOWN known.
  * The package will now compile cleanly in gcc 3.3 and 3.4.  As a side effect,
  lease structures will be 9 bytes smaller on all platforms.  Thanks to
  Jason Vas Dias at Redhat.
  * Interface discovery code in DISCOVER_UNCONFIGURED mode is now
  properly restricted to only detecting broadcast interfaces.  Thanks
  to a patch from Jason Vas Dias at RedHat.
  * decode_udp_ip_header was changed so that the IP address was copied out
  to a variable, rather than referenced by a pointer.  This enforces 4-byte
  alignment of the 32-bit IP address value.  Thanks to a patch from Dr.
  Peter Poeml.
  * An incorrect log message was corrected thanks to a patch from
  Dr. Peter Poeml.
  * A bug in DDNS was repaired, where if the server's first DDNS action was
  a DDNS removal rather than a DDNS update, the resolver library's
  retransmit timer and retry timer was set to the default, implying a
  15 second timeout interval.  Which is a little excessive in a synchronous,
  single-threaded system.  In all cases, ISC DHCP should now hold fast to
  a 1-second timeout, trying only once.
  * The siaddr field was being improperly set to the server-identifier when
  responding to DHCP messages.  RFC2131 clarified the siaddr field as
  meaning the 'next server in the bootstrap process', eg a tftp server.
  The siaddr field is now left zeroed unless next-server is configured.
  * mockup_lease() could have returned in an error condition (or in the
  condition where no fixed-address was found matching the shared
  network) with stale references to a host record.  This is probably not
  a memory leak since host records generally never die anyway.
  * A bug was repaired where failover servers would let stale client identifiers
  persist on leases that were reallocated to new clients not sending an id.
  * Binding scopes ("set var = value;") are now removed from leases allocated
  by failover peers if the lease had expired.  This should help reduce the
  number of stale binding scopes on leases.
  * A small memory leak was closed involving client identifiers larger than
  7 bytes, and failover.
  * Configuring a subnet in dhcpd.conf with a subnet mask of 32 bits might
  cause an internal function to overflow heap.  Thanks to Jason Vas Dias
  at Redhat.
  * Some inconsistencies in treating numbers that the lexer parsed as 'NUMBER'
  or 'NUMBER_OR_NAME' was repaired.  Hexadecimal parsing is affected, and
  should work better.
  * In several cases, parse warnings were being issued before the lexical
  token had been advanced to the token whose value was causing an error...
  causing parse warnings to claim the problem is on the wrong token.
  * Host declarations matching on client identifier for dynamic leases will
  no longer match fixed-address host declarations (this is now identical
  to behaviour for host records matching on hardware address).
- print error if binary DHCPD_BINARY is not found [#76392]
- remove patches incorporated upstreams
- update ssh forced command example in dhcpsync man page
* Mon Feb 21 2005 - poeml@suse.de
- update to 3.0.2 release. Changes since 3.0.2rc3:
  * A previously undocumented configuration directive,
  'local-address', was documented in the dhcpd.conf manpage.
* Tue Feb 08 2005 - mt@suse.de
- Bug #49433: try to reconnect to ldap server if it was down;
  ignore SIGPIPE while ldap_unbind called on closed handle.
  = new patch file: dhcp-3.0.2-ldap-reconnect.mt.dif.gz
* Tue Dec 07 2004 - poeml@suse.de
- update to 3.0.2rc3. Changes since rc2:
  * Two variables introduced in 3.0.2b1 were used without being
  initialized in the case where neither the FILE nor SNAME fields
  were available for overloading.  This was repaired.
  * A heretofore believed to be impossible corner case of the
  option overloading implementation turned out to be possible
  ("Unable to sort overloaded options after 10 tries.").  The
  implementation was reworked to consider the case of an option
  so large it would require more than three chunks to fit.
  * Many other instances of variables being used without being
  initialized were repaired.
  * An uninitialized variable in omapi_io_destroy() led to the
  discovery that this function may result in orphaned pointers
  (and hence, a memory leak).
- refresh the unaligned.patch
* Tue Nov 30 2004 - poeml@suse.de
- update to 3.0.2rc2. Changes since 3.0.1:
  * allocate_lease() was rewritten to repair a bug in which the server would
  try to allocate an ABANDONED lease when FREE leases were available.
  * Some dhcp-eval.5 manpage formatting was repaired.
  * A bug was fixed in the server's 'option overloading' implementation,
  where options loaded into the 'file' and 'sname' packet fields were
  not aligned precisely as rfc2131 dictates.
  * The FreeBSD client script was changed to support the case where a domain
  name was not provided by the server.
  * A memory leak in 'omshell' per each command line parsed was
  repaired, thanks to a patch from Jarkko Torppa.
  * Log functions writing to stderr were adjusted to use the STDERR_FILENO
  system definition rather than '2'.  This is a no-op for 90%% of platforms.
  * One call to trace_write_packet_iov() counted the number of io vectors
  incorrectly, causing inconsistent tracefiles.  This was fixed.
  * Some expression parse failure memory leaks were closed.
  * A host byte order problem in tracefiles was repaired.
  * Pools configured in DHCPD for failover possessing permission lists that
  previously were assumed to not include dyanmic bootp clients are now
  a little more pessimistic.  The result is, dhcpd will nag you about just
  about most pools that possess a 'allow' statement with no 'deny' that
  would definitely match a dynamic bootp client.
  * The 'ddns-update-style' configuration warning bit now insists that
  the configuration be globally scoped.
  * Two memory leaks in dhclient were closed thanks to a patch from Felix
  Farkas.
  * Some minor but excellently pedantic documentation errors were fixed
  thanks to a patch from Thomas Klausner.
  * Bugs in operator precedence in executable statements have been repaired
  once again.  More legal syntaxes should be parsed legally.
  * Failing to initialize a tracefile for any reason if a tracefile was
  specified is now a fatal error.  Thanks to a patch from Albert Herranz.
  * Corrected a bug in which the number of leases transferred as calculated
  by the failover primary and sent to peers in POOLRESP responses may be
  incorrect.  This value is not believed to be used by other failover
  implementations, excepting perhaps as logged information.
  * Corrected a bug in which 'dhcp_failover_send_poolresp()' was in fact
  sending POOLREQ messages instead of POOLRESP mesasges.  This message
  was essentially ignored since failover secondaries effectively do not
  respond to POOLREQ messages.
  * Type definitions for various bitwidths of integers in the sunos5-5
  build of ISC DHCP have been fixed.  It should compile and run more
  easily when built in 64-bit for this platform.
  * "allow known-clients;" is now a legal syntax, to avoid confusion.
  * If one dhcp server chooses to 'load balance' a request to its failover
  peer, it first checks to see if it believes said peer has a free
  lease to allocate before ignoring the DISCOVER.
  * log() was logging a work buffer, rather than the value returned by
  executing the statements configured by the user.  In some cases,
  the work buffer and the intended results were the same.  In some other
  cases, they were not.  This was fixed thanks to a patch from Gunnar
  Fjone and directconnect.no.
  * Compiler warnings for some string type conversions was fixed, thanks
  to Andreas Gustafsson.
  * The netbsd build environments were simplified to one, in which
    -Wconversion is not used, thanks to Andreas Gustafsson.
  * How randomness in the backoff-cutoff dhclient configuration variable
  is implemented was better documented in the manpage, and the behaviour
  of dhclient in REQUEST timeout handling was changed to match that of
  DISCOVER timeout handling.
  * Omapi was hardened against clients that pass in null values, thanks
  to a patch from Mark Jason Dominus.
  * A bug was fixed in dhclient that kept it from doing client-side
  ddns updates.  Thanks to a patch from Andreas Gustafsson, which
  underwent some modification after review by Jason Vas Dias.
  * Failover implementations disconnected due to the network between
  them (rather than one of the two shutting down) will now try to
  re-establish the failover connection every 5 seconds, rather than
  to simply try once and give up until one of them is restarted.
  Thanks to a patch from Ulf Ekberg from Infoblox, and field testing
  by Greger V. Teigre which led to an enhancement to it.
  * A problem that kept DHCP Failover secondaries from tearing down
  ddns records was repaired.  Thanks to a patch from Ulf Ekberg from
  Infoblox.
  * 64bit pointer sizes are detected properly on FreeBSD now.
  * A bug was repaired where the DHCP server would leave stale references
  to host records on leases it once thought about offering to certain
  clients.  The result would be to apply host and 'known' scopes to the
  wrong clients (possibly denying booting).  NOTE:  The 'mis-host' patch
  that was being circulated as a workaround is not the way this bug was
  fixed.  If you were a victim of this bug in 3.0.1, you are cautioned
  to proceed carefully and see if it fixes your problem.
  * A bug was repaired in the server's DHCPINFORM handling, where it
  tried to divine the client's address from the source packet and
  would get it wrong.  Thanks to Anshuman Singh Rawat.
  * A log message was introduced to help illuminate the case where the
  server was unable to find a lease to assign to any BOOTP client.
  Thanks to Daniel Baker.
  * A minor dhcpd.conf.5 manpage error was fixed.
- update ldap patch (11/8/2004 version)
* Thu Nov 11 2004 - ro@suse.de
- fixed file list for devel package
* Thu Sep 23 2004 - poeml@suse.de
- sysconfig.dhcpd, sysconfig.dhcrelay: give examples how to use
  configuration names instead of interface names
* Thu Aug 05 2004 - poeml@suse.de
- update to 3.0.1
  * The global variable 'cur_time' was centralized and is now
  uniformly of a type #defined in system-dependent headers. It
  had previously been defined in one of many places as a 32-bit
  value, and this causes mayhem on 64-bit big endian systems. It
  probably wasn't too healthy on little endian systems either.
  * A printf format string error introduced in rc14 was repaired.
  * AIX system-dependent header file was altered to only define
  NO_SNPRINTF if the condition used to #ifdef in vsnprintf in
  AIX' header files is false.
  * The Alpha/OSF system-dependent header file was altered to
  define NO_SNPRINTF on OS revisions older than 4.0G.
  * omapip/test.c had string.h added to its includes.
- drop obsolete dhcp-curtimetype.patch
- cope with missing files during chroot setup (e.g., if no
  resolv.conf exists) [#40728]
- remove duplicated option "-cf" from usage output
- add notes about the used raw socket API to README
* Fri Jul 16 2004 - poeml@suse.de
- update to 3.0.1rc14
- remove obsolete patches and adapt dhcp-3.0.1rc13-tmpfile.dif
- dhcpsync: use try-restart (so the server isn't started if it has
  been stopped)
- remove notify messages that are sent to root
- check if dhcpd was active at boot time before update and
  restore runlevel links if needed [#41215], and PreRequires for
  that
* Mon Jun 14 2004 - poeml@suse.de
- security fixes [#41975]:
  - fix buffer overflow in the DHCP server that can be exploited by
  the client by specifying multiple 'hostnames' to execute
  arbitrary code or at least crash the server. VU#317350
  - add patch to use vsnprintf() instead of vsprintf() calls.
  VU#654390
* Fri May 14 2004 - poeml@suse.de
- fix sysconfig comment and DHCPD_RUN_AS default [#40174]
* Thu May 13 2004 - poeml@suse.de
- improve security of the chroot jail setup by creating a dedicated
  user id for the server, and move the leases database into a
  subdirectory (/var/lib/dhcp/db). With the exception of that
  subdirectory the chroot jail is now owned by root. [#40174]  Use
  mkstemp to create temporary files. [#40267]
- don't use startproc to start dhcpd, because startproc waits a
  fixed time (100 msec) until it decides whether the service is
  running or not. Now that dhcpd might have to contact an LDAP
  server first to read its configuration, starting up can take
  longer than that, and the init script would falsely report
  "success" even when the server cannot start up due to broken
  configuration or non-existant interfaces. Increasing the
  startproc timeout (-t) is not a real alternative because, because
  it would imply a fixed dely to the init script, and it might
  still be too short.  [#40350]
* Tue May 04 2004 - poeml@suse.de
- convert configuration names in DHCPD_INTERFACE /
  DHCRELAY_INTERFACES into interface names [#39718]
- fix service restart for the case where the binary has been
  switched for backward compatibility during updating.
- do not change DHCPD_BINARY for backward compatibility if updating
  from 9.0. This and the last change complete the fix for [#38422]
  and take care of updates from 8.1-9.1 with and without YOU
  updates.
* Fri Apr 30 2004 - poeml@suse.de
- additionally package the dhcpd binary that uses the Linux packet
  filter API. New option DHCPD_BINARY in sysconfig.dhcpd. [#38422]
- when updating from a previous package using LPF API, retain the
  old behaviour. Fix init script so that 'stop' works also after a
  switch of DHCPD_BINARY.
* Thu Apr 22 2004 - mt@suse.de
- updated to dhcp-3.0.1rc13-ldap-patch also obsolating the
  patches: dhcp-ldap-fix01.dif, dhcpd-conf-to-ldap.pl.dif
- added dhcp-3.0.1rc13-ldap.mt.dif, providing diverse fixes
  and basic failover support for server/ldap.c
- added dhcpd-conf-to-ldap.mt.dif providing failover support
  to dhcpd.conf convert script
* Thu Mar 25 2004 - mt@suse.de
- applied dhcp-3.0.1rc12-ldap-patch adding support to store
  dhcp configuration in ldap (incl. draft ldap schema).
  further patches:
  - dhcp-ldap-fix01.dif: fixes for server/ldap.c (debuging
  output, support for block statements, ...)
  - dhcpd-conf-to-ldap.pl.dif: fixes for convert script
* Wed Feb 25 2004 - poeml@suse.de
- the genDDNSkey script has been moved to the bind-utils package
- update the DDNS-howto.txt
- package leases.awk (dhcpd.leases analyzer) (courtesy of Jeff Wilson)
- update to 3.0.1rc13
  - Fixed a bug in omapi lease lookup function, to form the
  hardware address for the hash lookup correctly
  - The 'ping timeout' debugs from rc12 were removed to -DDEBUG
  only
  - Fixed a case where leases read from the leases database do not
  properly over-ride previously read leases.
  - Fixed a bug where dhcrelay was sending relayed responses back
  to the broadcast address, but with the source's unicast mac
  address.  Should now conform to rfc2131 section 4.1.
  - Fixed a crash bug in dhclient where dhcpd servers that do not
  provide renewal times results in an FPE.  As a side effect,
  dhclient can now properly handle 0xFFFFFFFF (-1) expiry times
  supplied by servers.
  - dhcpctl.3 manpage was tweaked.
- the files CHANGES and COPYRIGHT have vanished, package LICENSE
  instead
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Tue Nov 18 2003 - poeml@suse.de
- if starting dhcpd in chroot jail, and a pid file is present in
  the jail, and the pid file does not contain a pid of a running
  dhcpd process, but that of another _running_ process, remove
  that pid file. [#32603]
- fix typo in dhcp.LIESMICH
- DDNS-howto.txt: adjust changed path
- DDNS-howto.txt: instead of the shell variables (they were copy
  and paste'd from a script), use a real example (makes it easier)
- add a comment in sysconfig.dhcpd that entire directories may be
  included
- dhcpsync: if run from the commandline, do not use an identity
  that ssh-agent may hold, but use $KEY instead
- dhcpsync.8: add a note about a know limitation
* Tue Nov 18 2003 - poeml@suse.de
- fix wrong ServiceRestart tags in sysconfig/dhcrelay [#32062]
* Fri Oct 17 2003 - uli@suse.de
- fixed data type mismatch in libomapi, only harmful on 64-bit
  BE systems (ppc64, s390x, bug #32123)
* Mon Sep 08 2003 - poeml@suse.de
- update to 3.0.1rc12
  - a failover bug relating to identifying peers by name length
  instead of by name was fixed
  - declaring failover configs within shared-network statements
  should no longer result in error
  - a problem with lease expiry times in failover configurations
  was fixed
  - reverse dns PTR record updates with values containing spaces
  are now permitted
  - problems with long option processing fixed
  - fixes to minires so that updates of KEY records will work
  - memory leak in configuration parsing closed
  - non-broadcast or point-to-point interfaces are now ignored
  - options not yet known by the dhcpd or dhclient now appear as
  e.g. "unknown-144" rather than "#144" in the leases file, to
  avoid the hash marks
  - dhclient no longer uses shell commands to kill another instance
  of itself, it sends the signal directly.
  - the -nw command line option to dhclient now works
- dhcp-3.0.1rc10-dhcrelay-limit-hopcount.dif included upstreams
- added contrib/ms2isc (converts Microsoft DHCP server configuration)
* Mon Sep 08 2003 - poeml@suse.de
- mark dhclient's lease database %%config(noreplace)
* Wed Sep 03 2003 - kukuk@suse.de
- Really fix [#29405], server should not provide and obsolete dhcp.
* Wed Aug 27 2003 - poeml@suse.de
- don't provide/require dhcp-base. Require dhcp instead [#29405]
* Tue Aug 26 2003 - poeml@suse.de
- add Config: syslog-ng to sysconfig.syslog-dhcpd
* Fri Aug 15 2003 - poeml@suse.de
- use -Wall -Wno-unused
- add -fno-strict-aliasing, due to warnings about code where
  dereferencing type-punned pointers will break strict aliasing
- add activation metadata to sysconfig template [#28864, [#28865],
  [#28950]
* Tue Aug 12 2003 - poeml@suse.de
- rc.dhcpd, rc.dhcrelay: implement try-restart correctly
- cleaned up the root mail, and the READMEs [#27214], [#26266]
- send the root mail only on update [#27214]
- have no default value in /etc/sysconfig/dhcpd:DHCPD_INTERFACE
- in client's %%post, send a mail only when rc.config is encountered
- clean buildroot, but not in chroot buildsystem
- the SuSE string is now replaced by UnitedLinux where appropriate
- rename the "dhcp-base" package to "dhcp", so there is a binary
  package matching the name of the source package [#17668]
- use the lately added macros only on newer distributions
* Wed Jul 30 2003 - poeml@suse.de
- new macros for stop/restart of services on rpm update/removal
* Mon Jul 28 2003 - poeml@suse.de
- when copying include files into the chroot jail, create
  subdirectories as needed, thus retaining the path to the files
* Sun Jul 27 2003 - poeml@suse.de
- don't explicitely strip binaries since RPM handles it, and may
  keep the stripped information somewhere
* Mon Jun 16 2003 - poeml@suse.de
- add some notes to DDNS-howto.txt, kindly provided by Andrew Beames
- fix typo in genDDNSKey.sh
* Wed May 21 2003 - mmj@suse.de
- Implement try-restart correctly in init-script
* Mon May 19 2003 - poeml@suse.de
- update to 3.0.1rc11, relevant fixes are
 - Potential buffer overflows in minires repaired.
 - A correction of boolean parsing syntax validation - some illegal syntaxes
  that worked before are now detected and produce errs, some legal syntaxes
  that errored before will now work properly.
 - Some search-and-replace errors that caused some options to change their
  names was repaired.
 - Shu-min Chang of the Intel corporation has contributed a perl script and
  module that converts the MS NT4 DHCP configuration to a ISC DHCP3
  configuration file.
 - Applied the remainder of the dhcpctl memory leak patch provided by Bill
  Squier at ReefEdge, Inc.  (groo@reefedge.com).
 - Missing non-optional failover peer configurations will now result in a soft
  error rather than a null dereference.
- use BSD sockets instead of LPF (makes iptables filtering of
  packages possible for server and relay. It doesn't work on the
  client, though, so that one requires seperate compilation.) See
  Message-Id: <5.1.0.14.0.20030408175011.00b9c7c0@pop.itd.nrl.navy.mil>
* Thu Mar 13 2003 - poeml@suse.de
- rcdhcpd, rcdcrelay: do not write the startup log to a world
  writable directory [#25241]
* Mon Mar 03 2003 - poeml@suse.de
- don't try to copy libraries into the chroot jail that do not
  exist (any longer) [#24533]
- remove the %%ghost filelist entries for pid files and chroot jail
  contents [#20030]. Clean up the libraries from the jail when the
  server is stopped.
- dhcrelay: add patch from Florian Lohoff (slightly modified),
  that makes the maximal hop count of forwarded packages
  configurable (-c maxcount), sets the default to 4, and rejects
  packages with a hop count higher than maxcount (CAN-2003-0039,
  http://www.kb.cert.org/vuls/id/149953). Add a variable to
  /etc/sysconfig/dhcrelay to pass such additional options.
* Wed Feb 12 2003 - mmj@suse.de
- Added sysconfig metadata [#22631] [#22632] [#22696]
* Tue Dec 10 2002 - okir@suse.de
- Added security patch from ISC
* Thu Dec 05 2002 - poeml@suse.de
- update to 3.0.1rc10. relevant fixes:
  - A Linux-specific Token Ring detection problem was fixed.
  - Hashes removed from as-yet-unknown agent options, having those
  options appear in reality before we know about them will no
  longer produce self-corrupting lease databases.
  - dhclient will use the proper port numbers now when using the -g
  option.
  - A order-of-operations bug with 2 match clauses in 1 class
  statement is fixed thanks to a patch from Andrew Matheson.
  - A fix to the dhcp ack process which makes certain group options
  will be included in the first DHCPOFFER message was made thanks
  to a patch from Ling Gou.
  - A few memory leaks were repaired thanks to patches from Bill
  Squier at ReefEdge, Inc.  (groo@reefedge.com).
  - A fix for shared-networks that sometimes give clients options
  for the wrong subnets (in particular, 'option routers') was
  applied, thanks to Ted Lemon for the patch.
  - Omshell's handling of dotted octets as values was changed such
  that dots one after the other produce zero values in the
  integer string.
- due to the upstream fixes: drop the reactivate-tr-support.dif and
  format.dif
- retrofitted the (server) package to work for old distributions
  down to 7.2
* Fri Nov 29 2002 - schwab@suse.de
- Fix unaligned access.
* Mon Nov 04 2002 - poeml@suse.de
- update DDNS-howto.txt for BIND9
- add genDDNSKey.sh to create a key for BIND8/9
- add comments about DDNS to the dhcpd.conf [#18419], and
  directives to disable DDNS by default
- change defaults in the sample configuration
* Thu Aug 29 2002 - poeml@suse.de
- fix permissions of man pages
* Sun Aug 18 2002 - poeml@suse.de
- re-add token ring support that got lost ("tr0:unknown hardware
  address type 800"). With 2.4 kernel, ARPHRD_IEEE802 (6) has been
  renamed to ARPHRD_IEEE802_TR (800). Known bug in 3.0.1rc9.
- move PreReq tag to the subpackages, where it is actually needed
  [#17822, #17821]
* Mon Aug 12 2002 - poeml@suse.de
- dhcp-client: add missing Requires on /usr/bin/host
* Mon Aug 12 2002 - poeml@suse.de
- Fix requires of dhcp-devel subpackage
- add some helpful scripts, courtesy of Kevin C. Miller
* Thu Aug 01 2002 - poeml@suse.de
- use PreReq
* Wed Jul 17 2002 - poeml@suse.de
- add a sysconfig.syslog-dhcpd template to make syslogd open an
  additional socket (inside the chroot dir of dhcpd)
* Thu Jul 11 2002 - poeml@suse.de
- fix typo in %%post, introduced with last change
* Thu Jul 11 2002 - poeml@suse.de
- add Version: tags to the subpackages to satisfy the build system,
  because dhcp has no main package [#16318]
- run in chroot and as user nobody per default
- fix wrong pathnames in mail to root [#15601]
- install example dhcpd.conf [#9122]
- improve example configuration files [#12563]
- init scripts: update INIT INFO, using the new tags from
  /etc/init.d/skeleton
* Tue May 21 2002 - poeml@suse.de
- dhclient-script:
  - source the right sysconfig files (/etc/sysconfig/network/)
  [#15871]
  - use KEEP_SEARCHLIST option (thanks Sumit Bose)
  - improve the indentation
* Thu May 16 2002 - poeml@suse.de
- add documentation about configuration for dynamical DNS updates
* Mon May 13 2002 - poeml@suse.de
- fix last change (rediff dhcp-3.0.1rc9.format.dif)
* Mon May 13 2002 - poeml@suse.de
- update to 3.0.1rc9
  - fixes a format string vulnerability in the server that could
  lead to a remote root compromise
  (see http://www.cert.org/advisories/CA-2002-12.html)
  - fixes a memory leak in the client and some other minor bugs
- fix some printf arguments in server/omapi.c
- fix small typo (x390x -> s390x)
* Mon Apr 29 2002 - sf@suse.de
- changed Makefile.conf to be able to add LIBDIR
- added LIBDIR to make install to put libs into the correct path
- use -DPTRSIZE_64BIT on x86_64
* Mon Apr 22 2002 - poeml@suse.de
- update to 3.0.1rc8. Most significant changes are (see RELNOTES):
  - Don't allow a lease that's in the EXPIRED, RELEASED or RESET
  state to be renewed.
  - Implement lease stealing for cases where the primary has fewer
  leases than the secondary, as called for by the standard.
  - Fix a bug where if an option universe contained no options, the
  DHCP server could dump core (Walter Steiner).
  - Fix a bug in the handling of encapsulated options.
  - Fix an uninitialized memory bug in the DHCP client.
- use -DPTRSIZE_64BIT on x390x and ppc64, too
- create /etc/resolv.conf with a file mask of 644, regardless of
  the umask [Bug #15915]. Patch by Joerg Mayer.
- the scripts dir is now called CLIENTBINDIR in the Makefiles, and
  correctly set to /sbin --> drop 2 hunks from dhcp-3.0rc10.dif
* Tue Mar 26 2002 - ro@suse.de
- Fix handling of initscript links and START_* variable [Bug #13755]
* Mon Feb 11 2002 - poeml@suse.de
- drop the sysconfig/network/dhcp template. It's in the syconfig
  package now.
- strip /sbin/dhclient
* Mon Feb 04 2002 - poeml@suse.de
- rename dhcp subpackage to dhcp-base, add dhcp-server subpackage
- rename dhclient to dhcp-client and dhcrelay to dhcp-relay
- remove Conflicts tag dhclient <-> dhcpcd
- use %%defattr(-, root, root) for all subpackages
- update copyright info (GmbH --> AG)
- update sysconfig.dhclient (.dhcp-dhclient now), and let it be
  filled up into /etc/sysconfig/network/config
* Wed Jan 30 2002 - poeml@suse.de
- add /sbin/dhclient, accidentally deleted from filelist lately
* Mon Jan 28 2002 - ro@suse.de
- remove START_DHCPD on update
- use fillup_only where no initscript is handled
* Sun Jan 27 2002 - poeml@suse.de
- use %%_lib and %%_libdir
- update rc.dhcpd to use %%_libdir when setting up chroot dir
- dhcpsync: name of slave can be given as argument; update man page
- rc.dhcpd: no longer source rc.config
- don't try insserv on dhclient init script -- it's dropped
- tell fillup to use "dhcpd" instead of the package name (dhcp)
* Fri Jan 25 2002 - poeml@suse.de
- update to 3.0.1rc6
  - Fix the off-by-one error in the MAC-address checking code for
  DHCPRELEASE that was added in 3.0.1rc5.
  - Fix a bug where client-specific information was not being
  discarded from the lease when it expired or was released,
  resulting in problems if the lease was reallocated to a
  different client.
  - merge pools if possible
  - workaround for some Lexmark printers that send a double-NUL-
  terminated host-name option, which would break DNS updates.
  - no longer log fallback_discard messages
- dhcp-3.0.1rc5-release.dif obsolete hereby
- drop dhclient init script (obsoleted by /sbin/if*-dhcp)
* Tue Jan 15 2002 - poeml@suse.de
- update to 3.0.1rc5
  - Fix a bug that would cause the DHCP server to spin if asked to
  parse a certain kind of incorrect statement.
  - Fix a related bug that would prevent an error from being
  reported in the same case.
  - Additional documentation.
  - Make sure that the hardware address matches the lease when
  processing a DHCPRELEASE message.
- add dhcp-3.0.1rc5-release.dif that corrects an error by one in
  the code that finds a lease that is being RELEASEd
- use ddns-update-style interim instead of ad-hoc when testing
- make sure that dhcpd is started after xntpd (failover needs
  correct system time)
- drop version 2 of dhcpd and dhcrelay
* Thu Dec 13 2001 - ro@suse.de
- removed START_ variables, moved rc.config.d -> sysconfig
* Tue Nov 06 2001 - poeml@suse.de
- update to 3.0.1rc4
- add dhcpsync and dhcpync.8 (script to sync DHCP failover config.)
- update rc.dhclient script from the one used in the dhcpcd package
- client: don't check if a device is there; terminate anyway
- small addition to the examples; update README.upgrade
* Wed Oct 31 2001 - poeml@suse.de
- update to 3.0.1rc2
- add a README.upgrade
* Thu Oct 25 2001 - poeml@suse.de
- update to 3.0.1rc1
- remove our #undef use_LPF patch for 2.0pl5; it seems to cause
  problems (stopping responding) with more than one network card
- mark /etc/dhclient.conf with noreplace tag
* Sun Sep 16 2001 - poeml@suse.de
- fix stupid bug in rc.dhcpd where rc.config is sourced too late
* Fri Sep 14 2001 - poeml@suse.de
- fix #9962 where "exit 1" instead of "return" in dhclient-script
  would confuse dhclient (which then DECLINEd the lease)
* Tue Aug 28 2001 - poeml@suse.de
- make sure that files are really copied to the chroot dir
* Mon Aug 27 2001 - poeml@suse.de
- add libnss_dns6.so.2 as ghost to the file list to remove it
  from the chroot dir when uninstalling the package
- rc.dhcpd: remove empty pid files to avoid warnings by
  checkproc/killproc (dhcpd sometimes leaves them if it does not
  want to start due to wrong syntax)
- rc.dhcpd: to save time, source rc.config only when necessary
- add dhcpd.conf examples
* Fri Aug 24 2001 - poeml@suse.de
- update to 3.0rc12 (fixes some failover state transitions; other
  failover fixes; always returns a subnet selection option if one
  is sent)
- change dhclient-script to ignore lines that are commented out
  when grepping for variables and eval-ing them
* Mon Jul 16 2001 - poeml@suse.de
- add filedes.dif that gives scripts executed from dhclient-script
  their own filedescriptors (patch by Brian Somers
  <brian@Awfulhak.org>)
- correct typo in rc.dhcpd
* Mon Jul 02 2001 - poeml@suse.de
- update to 3.0rc10
- change default in rc.config.d.dhcrelay
- add /usr/sbin/svtest, /usr/bin/omshell, and omshell man pages
- new variable in rc.dhcpd.config: $DHCPD_CONF_INCLUDE_FILES, for
  dhcpd.conf include files to be copied to $chroot/etc/
* Tue May 22 2001 - poeml@suse.de
- update to 3.0rc7 (failover and OMAPI fixes, see RELNOTES)
* Wed May 16 2001 - poeml@suse.de
- on 64 bit archs, define -DPTRSIZE_64BIT
- fix missing include
* Fri May 11 2001 - poeml@suse.de
- if resolv.conf does not exist, touch it; so that there is a file
  to back up and restore later and the temporary resolv.conf would
  not persist after stopping the client [#8078]
- use the modify_resolvconf tool to cleanup old backup files before
  starting the daemon, because it does it intelligently [#8077]
* Tue May 08 2001 - poeml@suse.de
- don't provide empty /etc/rc.config.d/dhcpd.rc.config because that
  inhibits the correct removal of variables from rc.config
- mention correct version numbers in mail to root (now using
  version macro)
- fix a typo and a nonsense comment in rc.config.d.dhcpd
* Mon May 07 2001 - poeml@suse.de
- update to 3.0rc4 (bugfixes)
- add empty dir /var/lib/dhcp/dev and documentation about how to
  ensure that logging from the chroot jail works [#6906]
* Tue Apr 24 2001 - poeml@suse.de
- update to 3.0rc2pl1: fixes bugs in the failover implementation
  and a memory smash that happens when fixed-address leases are
  used
- Read dhcp client script hooks if they exist, rather than only if
  they're executable.
- new file: 3.0b1 lease conversion script
* Sun Apr 15 2001 - poeml@suse.de
- Init scripts: get try-restart ("restart when running") right
- client:
   - dhclient-script is now correctly installed to /sbin (thus,
  don't mv dhclient-script from /etc/ to /sbin/, thereby
  overwriting it with the one from v2)
   - move rcdhclient conveniency link to /sbin/ (same as in dhcpcd)
   - update info header for resolv.conf acc. to guidelines
- server:
   - don't run in chroot environment and as nobody by default
   - add missing %%postun for subpackages to rearrange runlevel
  links after deinstalling
* Mon Apr 09 2001 - poeml@suse.de
- update to 3.0b2pl24
- don't use rc_status -u in init scripts (option was dropped)
- always run test of dhcpd
* Wed Mar 28 2001 - poeml@suse.de
- update to 3.0b2pl18
  * trim chroot/non-root patch and the other security patches into
  dhcp-3.0b2pl18.paranoia.dif
  * build stable version of server (2.0pl5) and include the binary
  as well as the man pages with '-2' suffix (same for dhcrelay)
- split off subpackages: dhcrelay, dhcp-devel
- reworked all init scripts
  * adhere to LSB and use new rc.status functions
  * rc.dhcpd: at start, copy conf file and libs to chroot dir
  * rc.dhcpd: add syntax check
  * rc.dhcrelay: make interface configurable
  * rc.dhclient: improve resolv.conf handling
- dhclient: catch TERM to restore resolv.conf before quitting
- create /etc/rc.config.d/dhcrelay.rc.config
- create /etc/rc.config.d/dhclient.rc.config
- clean up Provides/Conflicts
- rework SuSE-fillup templates (and rename them)
- mark libraries for chroot dir as %%ghost
- when ABUILD_RUN_TEST_SUITES is true, start dhcpd for a simple
  test
* Fri Mar 16 2001 - poeml@suse.de
- add dhcpd-thomas.diff from <thomas@suse.de>
  * query for the real UID and not for the effective UID
  * drop supplementary GID's
  * avoid potential buffer overflow
- copy dhcpd.conf instead of moving it
- add $syslog to Required-Start in server init script
- fix Required-Start in client init script
- bzipped sources
* Wed Jan 31 2001 - poeml@suse.de
- dhcpd.conf will no longer be installed in /etc/ but placed in the
  docdir, since it is a nonfunctional example file
- test for etc/SuSE-release in %%post
- fix removal of variables from rc.config which failed sometimes
- update {README,LIESMICH}.SuSE
* Mon Jan 29 2001 - poeml@suse.de
- added paranoia patch by Ari Edelkind to allow dhcpd run chrooted
  in /var/lib/dhcp and as nobody/nogroup. Both is optional.
- moved dhcpd.conf to /var/lib/dhcp/etc/. The file will also be
  moved by %%post
- moved rc.config options to rc.config.d/dhcpd.rc.config
  (existing variables are moved there by %%post)
- added some syntax checking via undocumented -t switch, and write
  log file during startup
- renamed start script from dhcp to dhcpd
- removed /var/run/dhcpd.pid from the package
- tag some %%configs with (noreplace)
- use BuildRoot
- added "Provides: dhcp2"+"Conflicts: dhcp3" in anticipation of v3
- added {README,LIESMICH}.SuSE and the paranoia patch to the docs
* Tue Jan 16 2001 - draht@suse.de
- format string security bugs in syslog(3) calls fixed.
* Thu Jan 11 2001 - poeml@suse.de
- in runlevel 2, start only the client, not the server/relay
- tell insserv to start after $named
- improved comments
* Thu Jan 04 2001 - fober@suse.de
- package dhclient requires net-tools, not net_tool
- removed superfluous Provides dhclient in package dhclient
* Wed Nov 29 2000 - poeml@suse.de
- Update to dhcp-2.0pl5.tar.gz
- This includes a security fix that applies to the DHCP client *only*
* Tue Nov 28 2000 - poeml@suse.de
- adapted spec file to use /etc/init.d for the scripts instead of
  /sbin/init.d and let insserv create the links
- extracted source files from diff and placed them separately
- included paranoia (non-root/chroot) patch by ari edelkind. This
  needs testing, and possibly an adapted start script
* Mon Jul 24 2000 - schwab@suse.de
- Fix argument type of dhcp_option_ev_name.
* Mon Jul 24 2000 - schwab@suse.de
- Set DEBUG, not COPTS.
* Thu Jul 20 2000 - zoz@suse.de
- updated to dhcp-2.0pl3
* Wed Jul 19 2000 - schwab@suse.de
- Fix handling of abandoned leases with BOOTP.
- Properly handle default lease timeout.
* Fri Jul 14 2000 - werner@suse.de
- make dchpd quiet
* Thu Jul 13 2000 - zoz@suse.de
- changed test for availability of device in rcdhlient:
  now using ifconfig, so automatically loading of modules
  will be triggered (Bug 3415)
- patched dhclient.c do to a possible root exploit bug
  (patch from Pavel Kankovsky <peak@argo.troja.mff.cuni.cz>)
  Still to be improved, waiting for Ted Lemon to rework it.
* Tue Jul 11 2000 - zoz@suse.de
- reworked rcdhclient once again.
* Tue Jul 04 2000 - zoz@suse.de
- update to dhcp-2.0.pl2
- dhclient: hostname will only be set, if there is a
  DHCLIENT_SET_HOSTNAME=yes (default =no)
  in /etc/rc.config. (fixes bug 2807 and 3146)
* Tue Jun 27 2000 - zoz@suse.de
- update to dhcp-2.0.pl1
- moved /var/state/dhcp to /var/lib/dhcp
- moved manpages to %%{_mandir}
- changed rcdhclient: DHCLIENT is obsolete now. It will be started
  if it finds any IFCONFIG_x=dhcpclient
* Mon Apr 10 2000 - schwab@suse.de
- Treat Linux 2.3 as linux-2.2 configuration.
* Thu Jan 27 2000 - grimmer@suse.de
- added "Provides: dhcp_client" and "Conflicts: dhcpcd" to
  dhclient section in spec file
- added "Provides: dhcp_server" to dhcp section
- corrected typo in rc.config variables
- added Group Tag and version macro to spec file
- changed Summary: to "ISC DHCP client"
- moved man pages to /usr/share/man
* Wed Nov 17 1999 - rolf@suse.de
- now set hostname in dhclient-script [BUG#1262]
* Fri Nov 05 1999 - rolf@suse.de
- reduced waiting time to 1 second
- wait 5 seconds after dhclient start to acquire an IP adress so the
  following scripts have a working network setup
* Thu Nov 04 1999 - rolf@suse.de
- changes from Josh for @home cablenet
* Thu Oct 28 1999 - rolf@suse.de
- added changes by Lenz Grimmer to use
  ifconfig $NETDEV 0.0.0.0 up
  for device setup
* Mon Oct 25 1999 - rolf@suse.de
- applied patch of Bernhard Bender <Bernhard.Bender@elsa.de>
  to use the correct interface.
- added client latency time and rc.config entry
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 19 1999 - bs@suse.de
- changed comment for rc.config
* Mon Jul 19 1999 - bs@suse.de
- fix from werner@suse.de for /sbin/init.d/dhclient
* Fri Jul 16 1999 - ro@suse.de
- added new dhclient-script from werner
* Wed Jun 23 1999 - rolf@suse.de
- new version 2.0
- apply fix from Michael Hasenstein
* Tue Mar 09 1999 - ro@suse.de
- fixed man5-path
* Fri Feb 26 1999 - rolf@suse.de
- new version 2.0b1pl16 (stable beta)
- leases are now stored in /var/state/dhcp/ (thanks to Ted Lemmon)
- correct paths in manpages
- PID files as %%ghost in filelist
* Wed Feb 17 1999 - rolf@suse.de
- new version 2.0b1pl13
* Wed Dec 09 1998 - rolf@suse.de
- added 	/usr/sbin/rcdhcp
  /usr/sbin/rcdhcrelay
  /usr/sbin/rcdhclient
* Tue Nov 24 1998 - rolf@suse.de
- new init scripts for SuSE Linux 6.0
* Thu Nov 12 1998 - bs@suse.de
- minor changes for new rpm
* Thu Sep 24 1998 - rolf@suse.de
- new version 2.0b1pl6 (stable beta)
- now with dhcp client and dhcp relay agent
- added init scripts for relay agent and client
- changed from $NETDEV_0 to $DHCPD_INTERFACE
* Fri Jun 26 1998 - rolf@suse.de
- new version 1.0pl2 fixes two potential input buffer overrun problems
  that were missed in Patchlevel 1
* Mon May 18 1998 - rolf@suse.de
- new security patch 1.0pl1 included
  changed /sbin/init.d/dhcp to run on $NETDEV_0
* Wed Dec 10 1997 - rolf@suse.de
- new version 1.0.0  this is not beta any more!
* Thu Oct 16 1997 - rolf@suse.de
- switched to dhcp.spec instead of Makefile.Linux
* Thu Sep 11 1997 - rolf@suse.de
- Upddate to Version 5 beta 16 and made entry for rc.config and
  /sbin/init.d for startup/shutdown
  There is no dhcp client in this package anymore.
* Thu Jun 12 1997 - rolf@suse.de
- build the package for the first time
